Announcement Announcement Module
Collapse
No announcement yet.
STS: updating grails dependency has failed Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS: updating grails dependency has failed

    With STS Version: 2.5.2.RELEASE. I keep getting following error. when I try to refresh dependencies on any grails project.

    Code:
    updating grails dependencies for project xxx has encountered a problem
    
    Command failed, see details for output.
    ------System.out:-----------
     
    ------System.err:-----------
    I am not even able to debug or run-app from the eclipse.

  • #2
    You might want to ask this on the Spring Tools forum. I would certainly contemplate removing the project from the workspace, deleting the .classpath and .project files, and reimporting the project. Not sure if that's the best way of getting the STS files regenerated, so definitely ask in the Tools forum first.

    Comment


    • #3
      I had the same problem.
      If you are running on Windows (I'm using Windows 8), try running eclipse 'as administrator'.
      The error message disappears and all is well.
      Somewhere in the pizza cheese of plugin dependencies, something can't be accessed, I guess...
      Cheers,
      Tom.

      Comment

      Working...
      X